/**
 * Client side self-signed certificate
 */
export interface Certificate {
    purpose: string;
    payload: {
        type: string;
        content: string;
    };
    domain: string;
    timestamp: number;
    signer: string;
    signature?: string;
}
export declare namespace Certificate {
    /**
     * deterministically encode cert into JSON
     * @param cert cert object
     */
    function encode(cert: Certificate): string;
    /**
     * verify the cert
     * @param cert cert object with signature
     */
    function verify(cert: Certificate): void;
}
